org.apache.felix.deployment.rp.autoconf

## Class ObjectClassDefinitionImpl

- java.lang.Object
- - org.apache.felix.deployment.rp.autoconf.ObjectClassDefinitionImpl

All Implemented Interfaces:
  org.osgi.service.metatype.ObjectClassDefinition

    public class ObjectClassDefinitionImpl
    extends Object
    implements org.osgi.service.metatype.ObjectClassDefinition

### Field Summary

### Fields inherited from interface org.osgi.service.metatype.ObjectClassDefinition

`ALL, OPTIONAL, REQUIRED`

### Constructor Summary

Constructors
Constructor and Description
`ObjectClassDefinitionImpl(org.apache.felix.metatype.OCD ocd)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.osgi.service.metatype.AttributeDefinition[]` `getAttributeDefinitions(int filter)`
`String` `getDescription()`
`InputStream` `getIcon(int size)`
`String` `getID()`
`String` `getName()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectClassDefinitionImpl

    public ObjectClassDefinitionImpl(org.apache.felix.metatype.OCD ocd)

### Method Detail

#### getAttributeDefinitions

    public org.osgi.service.metatype.AttributeDefinition[] getAttributeDefinitions(int filter)

Specified by:
  `getAttributeDefinitions` in interface `org.osgi.service.metatype.ObjectClassDefinition`

#### getIcon

    public InputStream getIcon(int size)
                        throws IOException

Specified by:
  `getIcon` in interface `org.osgi.service.metatype.ObjectClassDefinition`
Throws:
  `IOException`

#### getDescription

    public String getDescription()

Specified by:
  `getDescription` in interface `org.osgi.service.metatype.ObjectClassDefinition`

#### getID

    public String getID()

Specified by:
  `getID` in interface `org.osgi.service.metatype.ObjectClassDefinition`

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.osgi.service.metatype.ObjectClassDefinition`